Package com.xebialabs.xlrelease.domain.variables.reference

# Enum Class ReleasePropertyVariableKey

java.lang.Object
java.lang.Enum<ReleasePropertyVariableKey>
com.xebialabs.xlrelease.domain.variables.reference.ReleasePropertyVariableKey

All Implemented Interfaces:
  `Serializable`, `Comparable<ReleasePropertyVariableKey>`, `Constable`

public enum ReleasePropertyVariableKey extends Enum<ReleasePropertyVariableKey>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DESCRIPTION`
  `FLAG_COMMENT`
  `FLAG_STATUS`
  `ID`
  `OWNER`
  `STATUS`
  `TAGS`
  `TITLE`
  `URL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKey()`
  `String`
  `getValue(Release release)`
  `static boolean`
  `isReleasePropertyVariableKey(String key)`
  `static ReleasePropertyVariableKey`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ReleasePropertyVariableKey[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ID

    public static final ReleasePropertyVariableKey ID

  - ### TITLE

    public static final ReleasePropertyVariableKey TITLE

  - ### URL

    public static final ReleasePropertyVariableKey URL

  - ### STATUS

    public static final ReleasePropertyVariableKey STATUS

  - ### OWNER

    public static final ReleasePropertyVariableKey OWNER

  - ### DESCRIPTION

    public static final ReleasePropertyVariableKey DESCRIPTION

  - ### FLAG_STATUS

    public static final ReleasePropertyVariableKey FLAG_STATUS

  - ### FLAG_COMMENT

    public static final ReleasePropertyVariableKey FLAG_COMMENT

  - ### TAGS

    public static final ReleasePropertyVariableKey TAGS

- ## Method Details

  - ### values

    public static ReleasePropertyVariableKey[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ReleasePropertyVariableKey valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getKey

    public String getKey()

  - ### getValue

    public String getValue(Release release)

  - ### isReleasePropertyVariableKey

    public static boolean isReleasePropertyVariableKey(String key)